
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>15条JavaScript最佳实践小结_javascript技巧 / iVAN</title>

    <meta name="description" content="15条JavaScript最佳实践小结_javascript技巧 本文档整理大部分公认的.或者少有争议的JavaScript良好书写规范(Best Practice).一些显而易见的常识就不再论述(比如要用对象支持识别判断,而不是浏览器识别判断:比如不要嵌套太深).条目顺序按重要级粗略的从高到低排列. 把外部JavaScript文件放在HTML底部 我们的目标是相同的:为用户尽可能快地显示内容.当载入一个脚本文件的时候,HTML会停止解析,直到脚本载入完毕.因此,用户可能会长时间对着一个空白的屏幕,看上去什么都没有发生.如果你的JavaScript代码只是增加">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">15条JavaScript最佳实践小结_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>本文档整理大部分公认的、或者少有争议的JavaScript良好书写规范（Best Practice）。一些显而易见的常识就不再论述（比如要用对象支持识别判断，而不是浏览器识别判断；比如不要嵌套太深）。条目顺序按重要级粗略的从高到低排列。 <br /><strong>把外部JavaScript文件放在HTML底部</strong> <br />我们的目标是相同的：为用户尽可能快地显示内容。当载入一个脚本文件的时候，HTML会停止解析，直到脚本载入完毕。因此，用户可能会长时间对着一个空白的屏幕，看上去什么都没有发生。如果你的JavaScript代码只是增加一些功能（比如按钮的点击动作），那么尽管大胆地把文件引用放在HTML底部吧（就在&lt;/body&gt;之前），你会看到明显的速度提升。如果是用于其他目的的脚本文件，则需要慎重地考虑。但无论如何，这毫无疑问是一个非常值得考虑的地方。 <br /><strong>优化循环</strong> <br />循环遍历一个数组</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这段糟糕的代码会在每次进入循环的时候都计算一次数组的长度 <br />var names = ['George','Ringo','Paul','John']; <br />for(var i=0;i&lt;names.length;i++){ <br />doSomeThingWith(names[i]); <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这样的话，就只会计算一次了 <br />var names = ['George','Ringo','Paul','John']; <br />var all = names.length; <br />for(var i=0;i&lt;all;i++){ <br />doSomeThingWith(names[i]); <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这样就更加简短了 <br />var names = ['George','Ringo','Paul','John']; <br />for(var i=0,j=names.length;i&lt;j;i++){ <br />doSomeThingWith(names[i]); <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这段代码的糟糕之处在于，它把变量声明放在循环体内了，每次循环都会创建变量 <br />for(var i = 0; i &lt; someArray.length; i++) { <br />var container = document.getElementById('container'); <br />container.innerHtml += 'my number: ' + i; <br />console.log(i); <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//在循环体外声明变量，变量只会创建一次 <br />var container = document.getElementById('container'); <br />for(var i = 0, len = someArray.length; i &lt; len; i++) { <br />container.innerHtml += 'my number: ' + i; <br />console.log(i); <br />}</p>
<p><strong>用尽量简短的代码</strong> <br />如果可以增加可读性的话，那么使用代码的简短格式是有意义的，下面是一份不完全的列表：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//对于条件判断只有两次的，这是一种冗长的写法 <br />var direction; <br />if(x &gt; 100){ <br />direction = 1; <br />} else { <br />direction = -1; <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//更好的代码 <br />var direction = (x &gt; 100) ? 1 : -1;</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//判断一个 变量是否定义，如果否，就赋予一个值，糟糕的代码 <br />if(v){ <br />var x = v; <br />} else { <br />var x = 10; <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//更好的代码 <br />var x = v || 10;</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//重复了变量名很多次 <br />var cow = new Object(); <br />cow.colour = 'brown'; <br />cow.commonQuestion = 'What now?'; <br />cow.moo = function(){ <br />console.log('moo'); <br />} <br />cow.feet = 4; <br />cow.accordingToLarson = 'will take over the world';</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//更好的写法是这样 <br />var cow = { <br />colour:'brown', <br />commonQuestion:'What now?', <br />moo:function(){ <br />console.log('moo); <br />}, <br />feet:4, <br />accordingToLarson:'will take over the world' <br />};</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//重复了很多次数组名 <br />var aweSomeBands = new Array(); <br />aweSomeBands[0] = 'Bad Religion'; <br />aweSomeBands[1] = 'Dropkick Murphys'; <br />aweSomeBands[2] = 'Flogging Molly'; <br />aweSomeBands[3] = 'Red Hot Chili Peppers'; <br />aweSomeBands[4] = 'Pornophonique';</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//更好的代码 <br />var aweSomeBands = [ <br />'Bad Religion', <br />'Dropkick Murphys', <br />'Flogging Molly', <br />'Red Hot Chili Peppers', <br />'Pornophonique' <br />];</p>
<p><strong>单引号和双引号</strong> <br />为了避免混乱，我们建议在HTML中使用双引号，在JavaScript中使用单引号。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//html <br />&lt;img src="picture.gif" /&gt;</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//JavaScript <br />&lt;script type="text/javascript"&gt; <br />document.write('&lt;p&gt;'); <br />&lt;/script&gt;</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//一段混用的jQuery代码 <br />$('h1').after('&lt;div id="content"&gt;&lt;h2&gt;目录&lt;/h2&gt;&lt;ol&gt;&lt;/ol&gt;&lt;/div&gt;');</p>
<p><strong>避免混入其他技术</strong> <br />CSS:假设我们的页面上有必须填入的输入框（拥有class“mandatory”），如果它没有被输入数据，周围就会加上红色边框。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//一段混合了其他技术的代码会这样做： <br />var f = document.getElementById('mainform'); <br />var inputs = f.getElementsByTagName('input'); <br />for(var i=0,j=inputs.length;i&lt;j;i++){ <br />if(inputs[i].className === 'mandatory' &amp;&amp; <br />inputs[i].value === ''){ <br />inputs[i].style.borderColor = '#f00'; <br />inputs[i].style.borderStyle = 'solid'; <br />inputs[i].style.borderWidth = '1px'; <br />} <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//一段良好的代码会这么做：将风格化的事情交给CSS吧 <br />var f = document.getElementById('mainform'); <br />var inputs = f.getElementsByTagName('input'); <br />for(var i=0,j=inputs.length;i&lt;j;i++){ <br />if(inputs[i].className === 'mandatory' &amp;&amp; <br />inputs[i].value === ''){ <br />inputs[i].className += ' error'; <br />} <br />}</p>
<p>HTML:假设我们有内多HTML内容需要用JavaScript来载入，那么使用Ajax载入单独的文件，而不是通过JavaScript处理DOM，后者会让代码难以处理，并且出现难以维护的兼容性问题。 <br /><strong>验证JavaScript代码</strong> <br />浏览器处理JavaScript代码可能会非常宽容，但我建议你不要依赖浏览器的解析能力，因此养成了懒散的编码习惯。 <br />最简单的检测你的代码质量的方法是通过一个在线JavaScript验证工具JSLint。 <br />“JSLint takes a JavaScript source and scans it. If it finds a problem, it returns a message describing the problem and an approximate location within the source. The problem is not necessarily a syntax error, although it often is. JSLint looks at some style conventions as well as structural problems. It does not prove that your program is correct. It just provides another set of eyes to help spot problems.” <br />– JSLint Documentation <br />使用更简单的格式来写innerscript</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//早期的代码可能是这样的 <br />&lt;script type="text/javascript" language="javascript"&gt; <br />... <br />&lt;/script&gt;</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//现在不用language属性了 <br />&lt;script type="text/javascript"&gt; <br />... <br />&lt;/script&gt;</p>
<p><strong>总是检查数据</strong> <br />要检查你的方法输入的所有数据，一方面是为了安全性，另一方面也是为了可用性。用户随时随地都会输入错误的数据。这不是因为他们蠢，而是因为他们很忙，并且思考的方式跟你不同。用typeof方法来检测你的function接受的输入是否合法。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//如果members的类型不是数组，那么下面的代码会抛出一个错误 <br />function buildMemberList(members){ <br />var all = members.length; <br />var ul = document.createElement('ul'); <br />for(var i=0;i</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//良好的习惯是检查参数是否是一个数组 <br />function buildMemberList(members){ <br />//数组的typeof是object，所以如果要判断是否为数组的话，可以测试它是否拥有数组才有的function：slice <br />if(typeof members === 'object' &amp;&amp; <br />typeof members.slice === 'function'){ <br />var all = members.length; <br />var ul = document.createElement('ul'); <br />for(var i=0;i</p>
<p>另一个安全隐患是直接从DOM中取出数据使用。比如说你的function从用户名输入框中取得用户名做某项操作，但用户名中的单引号或者双引号可能会导致你的代码崩溃。 <br /><strong>避免全局变量</strong> <br />全局变量和全局函数是非常糟糕的。因为在一个页面中包含的所有JavaScript都在同一个域中运行。所以如果你的代码中声明了全局变量或者全局函数的话，后面的代码中载入的脚本文件中的同名变量和函数会覆盖掉（overwrite）你的。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//糟糕的全局变量和全局函数 <br />var current = null; <br />function init(){...} <br />function change(){...} <br />function verify(){...}</p>
<p>解决办法有很多，Christian Heilmann建议的方法是：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//如果变量和函数不需要在“外面”引用，那么就可以使用一个没有名字的方法将他们全都包起来。 <br />(function(){ <br />var current = null; <br />function init(){...} <br />function change(){...} <br />function verify(){...} <br />})();</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//如果变量和函数需要在“外面”引用，需要把你的变量和函数放在一个“命名空间”中 <br />//我们这里用一个function做命名空间而不是一个var，因为在前者中声明function更简单，而且能保护隐私数据 <br />myNameSpace = function(){ <br />var current = null; <br />function init(){...} <br />function change(){...} <br />function verify(){...} <br />//所有需要在命名空间外调用的函数和属性都要写在return里面 <br />return{ <br />init:init, <br />//甚至你可以为函数和属性命名一个别名 <br />set:change <br />} <br />}();</p>
<p><strong>声明变量的话，总是用var</strong> <br />JavaScript中的变量可能是全局域或者局部域，用var声明的话会更加直观。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//在function中不用var引起的迷惑性问题 <br />var i=0; // This is good - creates a global variable <br />function test() { <br />for (i=0; i&lt;10; i++) { <br />alert("Hello World!"); <br />} <br />} <br />test(); <br />alert(i); // The global variable i is now 10!</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//解决方法是在function中声明变量也用var <br />function test() { <br />for (var i=0; i&lt;10; i++) { <br />alert("Hello World!"); <br />} <br />}</p>
<p><strong>使用前置+号来把字符串转化为数字</strong> <br />JavaScript中，“+”操作符即被用来作为数字加，也被用来连接字符串。如果需要求表单中几个值的和，那么用+可能会出现问题。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//会出现问题的代码 <br />&lt;form name="myform" action="[url]"&gt; <br />&lt;input type="text" name="val1" value="1"&gt; <br />&lt;input type="text" name="val2" value="2"&gt; <br />&lt;/form&gt; <br />function total() { <br />var theform = document.forms["myform"]; <br />var total = theform.elements["val1"].value + theform.elements["val2"].value; <br />alert(total); // This will alert "12", but what you wanted was 3! <br />}</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//在字符串前面加上“+”，这是给JavaScript的一个暗示：这是一个数字而不是字符串 <br />function total() { <br />var theform = document.forms["myform"]; <br />var total = (+theform.elements["val1"].value) + (+theform.elements["val2"].value); <br />alert(total); // This will alert 3 <br />}</p>
<p><strong>避免使用eval()方法</strong> <br />JavaScript中的eval()方法是在运行时把任何代码当作对象来计算/运行的方法。实际上由于安全性的缘故，大部分情况下都不应该用eval()，总是有一种更“正确”的方法来完成同样的工作的。基本原则是，eval is evil，在任何时候都不要用它，除非你是一个老手，并且知道你不得不这样做。 <br /><strong>for in语句</strong> <br />遍历一个对象中的所有条目的时候，用for in语句是非常方便的。但有时候我们不需要遍历对象中的方法，如果不需要的话，可以加上一条filter。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//加上了一个过滤器的for in语句 <br />for(key in object) { <br />if(object.hasOwnProperty(key) { <br />...then do something... <br />} <br />}</p>
<p>不要偷懒省略”和{} <br />从技术上说，你可以忽略很多花括号和分号。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//虽然看上去很不对头，大部分浏览器都能正确解析这段代码 <br />if(someVariableExists) <br />x = false</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这个代码看上去更不对头了，咋眼一看似乎下面的句都被执行了 <br />//实际上只有x=false在if中 <br />if(someVariableExists) <br />x = false <br />anotherFunctionCall();</p>
<p>所以，要记住的原则是：1.永远不要省略分号；2.不要省略花括号，除非在同一行中。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这样是OK的 <br />if(2 + 2 === 4) return 'nicely done';</p>
<p>获取对象属性的时候用方括号而不是点号 <br />在JavaScript中取得某对象的属性有两种方法：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//点号标记 <br />MyObject.property</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//方括号标记 <br />MyObject["property"]</p>
<p>如果是用点号标记取得对象的属性，属性名称是硬编码，无法在运行时更改；而用方括号的话，JavaScript会求得方括号内值然后通过计算结果来求得属性名。也就是说用方括号标记的方式，属性名称可以是硬编码的，也可以是变量或者函数返回值。</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这样是不行的 <br />MyObject.value+i</p>
<p><u>复制代码</u> 代码如下:</p>
<p>//这样就没有问题 <br />MyObject["value"+i]</p>
<p>假设JavaScript会被禁用 <br />我知道这样的假设会伤害JavaScript开发者的感情，可是在目前数据不明朗的情况下我们为了安全起见应该做这样的假设。这是渐进增强中很重要的一部分。 <br /><strong>使用JavaScript库</strong> <br />现在有很多非常流行的JavaScript库，比如YUI和jQuery、Dojo。它们的缺点是需要下载一个额外的文件，优点却更多：兼容性更强；代码更简单易懂。好的库有很多，但你不应该在一个项目中把它们都用上，因为可能存在兼容性问题。选择一个自己习惯的就好。 <br />不要忘记的一点是，原生的JavaScript毫无疑问更快，如果是小规模的使用，最好还是用原生的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:55:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e5%ae%9e%e8%b7%b5/" title="实践">实践</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>15条JavaScript最佳实践小结_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bj8NgZp.html" rel="bookmark">BooStrap对导航条的改造实践小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				制作导航(基础样式)需要如下几部: 第一步:首先在制作导航的列表(&lt;ul class=&quot;nav nav-tabs&quot;&gt; 当然nav-tabs是用来控制样式的我们可以选择比如nav-pills) 第二步:在列表里面添加自己的链接 &lt;ul class=&quot;nav nav-tabs&quot;&gt; &lt;li&gt;&lt;a href=&quot;index.html&quot; class=&quot;active&quot;&gt;Home&lt;/a&g			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEOymz.html" rel="bookmark">JavaScript对象学习小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JavaScript 对象 JavaScript 提供多个内建对象,比如 String.Date.Array 等等. 对象只是带有属性和方法的特殊数据类型. 在JavaScript中,几乎用到的每个js都离不开它的对象.下面我们深入了解一下js对象. js中对象的分类跟之前我们学过的语言中函数的分类一样,一个是系统自带的叫预定义对象,一个是用户自己写的叫自定义对象. 大体内容如下图所示:  一:核心对象 1.Array对象 数组对象,用来创建数组,使用new 创建 常用的方法如下图: 常用属性:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boLmQ6M.html" rel="bookmark">15 个 JavaScript Web UI 库&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				几乎所有的富 Web 应用都基于一个或多个 Web UI 库或框架,这些 UI 库与框架极大地简化了开发进程,并带来一致,可靠,以及高度交互性的用户界面.本文介绍了 15 个非常强大的 JavaScript Web UI 库,非常适合各种各种规模的富 Web 应用的开发. LivePipe LivePipe UI 基于 Prototype Javascript 框架,包含了一整套经严格测试并高度可扩展的 UI 控件,拥有很好的文档,在不支持 JavaScript 的环境中,可以无缝降级使用.包括			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwKWv8z.html" rel="bookmark">Javascript中replace&lpar;&rpar;小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于定义   replace() 方法用于在字符串中用一些字符替换另一些字符,或替换一个与正则表达式匹配的子串. 关于语法 stringObject.replace(regexp/substr,replacement) 关于参数 参数 描述 regexp/substr 必需.规定子字符串或要替换的模式的 RegExp 对象. 请注意,如果该值是一个字符串,则将它作为要检索的直接量文本模式,而不是首先被转换为 RegExp 对象. replacement 必需.一个字符串值.规定了替换文本或生成替			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo3Pr6b.html" rel="bookmark">JavaScript 性能优化小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着 Web2.0 技术的不断推广,越来越多的应用使用 JavaScript 技术在客户端进行处理,从而使 JavaScript 在浏览器中的性能成为开发者所面临的最重要的可用性问题.而这个问题又因 JavaScript 的阻塞特性变的复杂,也就是说当浏览器在执行 JavaScript 代码时,不能同时做其他任何事情.本文详细介绍了如何正确的加载和执行 JavaScript 代码,从而提高其在浏览器中的性能. 在J2EE编程中,我们接触最多的脚本语言还是JavaScript.在使用JavaScr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6EKxob.html" rel="bookmark">javascript数组去重小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 最近为了换工作,准备下面试,开始回顾复习JavaScript相关的知识,昨天下午想到了数组去重的相关方法,干脆整理出几篇JavaScript算法文章,以备后用,此系列文章不定篇数,不定时间,想到哪写到哪,不保证正确性,不保证高效率,只是谈谈个人理解,如有错误,请诸位斧正. 关于去重 数组去重是一个比较常见的算法考察点,实现去重的方式无外乎通过唯一性和非唯一性.简单来讲就是挑出唯一的或者删除不唯一的.以下所有算法都是我自己瞎命名的,请无视之. 循环匹配去重 顾名思义,就是把数组中的每一个元素			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPBw7Ab.html" rel="bookmark">JavaScript 验证浏览器是否支持javascript的方法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果:  先来看看别的网站是怎么做的: google.com的登录: 客户端 和服务器端都验证了,并且提示信息一样的 baidu.com 的登录: 屏蔽了密码输入框 http://fanfou.com/register : 客户端和后台都验证了,但是提示的信息方式不一样 http://login.xiaonei.com/Login.do : 用户禁用Js后有提示信息 我的实现步骤: 思想: 1,默认(禁用js)submit按钮式不显示的,如果启用后,就显示submit按钮 2,通过&lt;noscri			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1aG0b.html" rel="bookmark">JavaScript 代码压缩工具小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				UglifyJS UglifyJS是构建于nodeJS服务器端之上的一个代码压缩工具,目前jQuery使用它来压缩,压缩效果比较好. GitHub主页:http://github.com/mishoo/UglifyJS/ 在线使用:http://marijnhaverbeke.nl/uglifyjs 使用方法: 从http://nodejs.org下载nodejs,用到的是node.exe 再从UglifyJS的GitHub主页下载它的最新版本 复制node.exe到UglifyJS的bin目录			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPl2evp.html" rel="bookmark">javascript this用法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				this是面向对象语言中的一个重要概念,在JAVA,C#等大型语言中,this固定指向运行时的当前对象.但是在javascript中,由于 javascript的动态性(解释执行,当然也有简单的预编译过程),this的指向在运行时才确定.这个特性在给我们带来迷惑的同时也带来了编程上的 自由和灵活,结合apply(call)方法,可以使JS变得异常强大.2.变化的this 在JavaScript中,this通常指向的是我们正在执行的函数本身,或者是指向该函数所属的对象(运行时).当我们在页面中定义			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1AaMx.html" rel="bookmark" class="title">一些基本的&sol;适应的&sol;函数</a>
					<div>
						函数 &lt;a href=&quot;#&quot; onclick=document.execCommand(&quot;open&quot;)&gt;打开&lt;/a&gt;&lt;br&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XpmXRwM.html" rel="bookmark" class="title">网页设计技巧&colon;网页设计中的F式布局</a>
					<div>
						文章描述:今天我们来重点介绍网页设计中的F式布局.传统的布局方式,依赖布置视觉线索,&quot;控制&quot;用户的视觉路径,相较之下,F式布局更加自然,更加友好.本文将讲述一些F式布局的规则.原理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjGJ8M.html" rel="bookmark" class="title">用 site&colon; 查 Google 收录靠谱吗？</a>
					<div>
						&quot;site:&quot; 是最常用的一条搜索引擎高级命令,用于了解大约有多少 URLs 被 Google 收录, 以此来诊断一些 SEO 问题,例如确认是否被惩罚. 最近越来越多的人在抱怨  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1vQap.html" rel="bookmark" class="title">合理应用 正确理解CSS的float浮动属性</a>
					<div>
						css|浮动 首先我们了解到,CSS网页布局的原理,就是按照HTML代码中对象声明的顺序,以流布局的方式来显示它,而流布局就不得不说到float浮动技术,在HTML中的所有对象,默认分为两种:块元素( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5XjnM.html" rel="bookmark" class="title">在ASP处理程序时显示进度</a>
					<div>
						用过软件的朋友都知道,进度条是一个优秀软件的重要组成部分.它的存在能够使用户及时掌握程序的运行进度,确认应用程序正常工作.可是ASP中似乎没有上述标准控件,控制起来也比较麻烦. 那幺如何实现进度条呢? ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pm770Bb.html" rel="bookmark" class="title">学Silverlight 2系列&lpar;22&rpar;：在Silverlight中用JavaScript调用&period;NET代码</a>
					<div>
						Silverlight中内置了对于HTML.客户端脚本等的支持.上一篇介绍在 Silverlight中调用JavaScript,本文我将介绍在Silverlight中如何用 JavaScript调用. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLVrOb.html" rel="bookmark" class="title">oracle数据库的安装配置</a>
					<div>
						第一部分:安装oracle数据库 第二部分:通过DBCA创建第一个oracle数据库 一. 安装oracle数据库,首先在root用户下执行xhost+不然安装报错,然后切换到oracle用户模式下: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK8mVp.html" rel="bookmark" class="title">Win7美化攻略：替换imageres&period;dll，图标全变样</a>
					<div>
						玩Windows 系统的老鸟们都清楚,Windows 系统自己的默认图标(回收站.计算机.控制面板等等),都保存在系统盘(一般是C盘)的Windows/System32 文件夹里面的一些DLL文件里面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9E1w3M.html" rel="bookmark" class="title">为什么U盘不显示盘符？</a>
					<div>
						前几天在帮别人修电脑的时候,把我的U盘插上那台电脑后,电脑已经识别到U盘,但打开&quot;我的电脑&quot;却不能看到相应的盘符.进入&quot;管理工具&quot;中的磁盘 管理(在&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRwNlKp.html" rel="bookmark" class="title">win8怎么查看网络连接状态&quest;</a>
					<div>
						  1.首先,右击桌面的空白处,会弹出一系列的快捷菜单; 2.接着,在其中选择&quot;新建&quot;到&quot;快捷方式&quot;选项; 3.在弹出的&quot;创建快捷方式&quot;对话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLJOOb.html" rel="bookmark" class="title">网银登录失败IE浏览器内核为Netscape</a>
					<div>
						  网银登录方式一般有证书登录.用户名登录.卡号登录,但是有时候无论是采用哪种登录方式,都会提示:尊敬的客户:&quot;您的浏览器内核为(Netscape),我行网上银行暂不支持此浏览器,请您使用I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKnNNM.html" rel="bookmark" class="title">win7笔记本中怎么修改屏幕字体大小？</a>
					<div>
						大家知道,笔记本的具体尺寸规格是不一样的,大的可能达到17存左右,而小的则只有10存左右,但是对于咱们安装的系统来说,不可能按照每一个规格为我们形成一个系统,所有的系统版本,字体大小都是设置的默认的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42PyYM.html" rel="bookmark" class="title">电脑主板u盘启动USB启动U盘热键对照表</a>
					<div>
						大部份电脑启动热键 组装机主板 品牌笔记本 品牌台式机 主板品牌 启动按键 笔记本品牌 启动按键 台式机品牌 启动按键 华硕主板 F8 联想笔记本 F12 联想台式机 F12 技嘉主板 F12 宏基笔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWB9Jp.html" rel="bookmark" class="title">使用httpclient实现http接口调用实例</a>
					<div>
						使用httpclient实现http接口调用实例 假设服务接口如下: 接口地址: http://192.168.0.1/service/sendsms 请求方式: post 需要传递参数: c= {& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJZL7Vz.html" rel="bookmark" class="title">java javaweb jsp-新手求帮助 如何实现jsp页面将从数据库查到的邮箱地址在页面上显示的时候中间变成&ast;</a>
					<div>
						问题描述 新手求帮助 如何实现jsp页面将从数据库查到的邮箱地址在页面上显示的时候中间变成* 刚刚碰到一个问题就是我用servlet把邮箱地址查出来了 可是在jsp页面上显示的时候是显示的完整的邮箱地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgVLwOb.html" rel="bookmark" class="title">《中国人工智能学会通讯》&mdash;&mdash;1&period;5 智能问答技术</a>
					<div>
						1.5 智能问答技术 从早期的数字图书馆.专家系统到如今的搜索引擎,人们一直致力于追求快速.准确的信息获取方法.目前,网络上的数据资源浩如烟海.错综复杂,而用户的信息需求又千变万化.千姿百态,基于关键 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32mrwz.html" rel="bookmark" class="title">如果存储也能打分，你给HXDP分布式存储打几分？</a>
					<div>
						消除存储竖井.提供强大的可扩展性并保障数据安全,通过创新的 HXDP 数据平台软件能够实现软件定义的存储,思科HyperFlex如此强大的分布式存储,你给打几分? IT 部门运用虚拟服务器技术,应用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY59vBM.html" rel="bookmark" class="title">通往混合云的路，并非条条畅通</a>
					<div>
						我以一位负责以云服务为基础实现多种业务解决方案交付工作的CIO的身份表达自己对混合架构的观点.在过去五个月中,我有幸参与到十几次高层对话当中,交流对象包括多位来自大型企业的CIO与CTO.以此议题为基 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba7Zgnp.html" rel="bookmark" class="title">C&num;实现SQL批量插入数据到表的方法&lowbar;C&num;教程</a>
					<div>
						本文实例讲述了C#实现SQL批量插入数据到表的方法.分享给大家供大家参考,具体如下: #region 帮助实例:SQL 批量插入数据 多种方法 /// &lt;summary&gt; /// SqlB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAglvM.html" rel="bookmark" class="title">ElasticSearch搜索实例含高亮显示及搜索的特殊字符过滤</a>
					<div>
						  应用说明见代码注解. 1.简单搜索实例展示: public void search() throws IOException { // 自定义集群结点名称 String clusterName = ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEyWnM.html" rel="bookmark" class="title">cad看图-android CAD看图开发该如何去写！求个例子dome&excl;谢谢。</a>
					<div>
						问题描述 android CAD看图开发该如何去写!求个例子dome!谢谢. dwg的看图方式,类似迷你看图CAD,BOX差不多的样子,不知道该怎么去写,希望写过的朋友帮个提供建议!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBqqDz.html" rel="bookmark" class="title">如何抓取网站中的视频 下载到本地</a>
					<div>
						问题描述 内容如题 解决方案 解决方案二:该回复于2011-03-04 13:38:37被版主删除解决方案三:如果是程序抓的话我还真不会,不过一般ie的临时文件里有的解决方案四:你去百度搜索,维棠fl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xBPAb.html" rel="bookmark" class="title">如何才能够成就一个地方门户迅速的崛起</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多人说起上海滩都会觉得一夜成名! ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwrBAM.html" rel="bookmark" class="title">java 数据库插入失败和成功的问题</a>
					<div>
						问题描述 有什么方法可以得到你插入数据库中成功了多少条记录和插入失败多少条记录啊! 解决方案 解决方案二:每执行更新一条SQL,任何数据库都会返回影响的记录数解决方案三:引用1楼nanman的回复:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7QXGqM.html" rel="bookmark" class="title">juqery 学习之三 选择器 子元素与表单&lowbar;jquery</a>
					<div>
						:nth-child(index/even/odd/equation) 匹配其父元素下的第N个子或奇偶元素 ':eq(index)' 只匹配一个元素,而这个将为每一个父元素匹配子元素.:nth-chi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLwVXM.html" rel="bookmark" class="title">初折腾Oracle问题小记二</a>
					<div>
						说明: 为了CYQ.Data 框架 CYQ.Data 轻量数据层之路 框架开源系列 索引 引入支持Oralce,继续努力着. 今天花了半天,总算完成了添加/更新/删除操作.       继续记录今天折 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK0d7nM.html" rel="bookmark" class="title">盛大游戏8000万美元收购游戏厂商MochiMedia</a>
					<div>
						1月12日下午消息,盛大游戏今日宣布收购游戏分销和内置广告平台Mochi Media(麻吉媒体)公司,借此加速进军海外市场的步伐.此次收购的价格为6000万美元现金和2000万美元的盛大游戏股票,交易 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zen9Yjb.html" rel="bookmark" class="title">新浪微博客户端将进行重要更新：终于放弃IM</a>
					<div>
						新浪微博http://www.aliyun.com/zixun/aggregation/7791.html&quot;&gt;手机客户端下个版本3.6版将进行一项重要更新--取消页面下方 五个选项卡中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrvY3jM.html" rel="bookmark" class="title">用 Hadoop 帮助商业智能实践&OpenCurlyDoubleQuote;全数据&rdquo;</a>
					<div>
						文章讲的是用 Hadoop 帮助商业智能实践&quot;全数据&quot;,2013年9月,由亚洲原生 Hadoop 领航者 Etu 知意图缔造的 Etu 知意图 Hadoop 大数据一体机,在&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR7yn3p.html" rel="bookmark" class="title">白宫前网络安全主管加盟CTA 6厂商打造威胁情报共享平台</a>
					<div>
						日前,网络威胁联盟 (Cyber Threat Alliance, CTA) 正式以非盈利合作实体身份对外宣布,任命Michael Daniel 为该组织首任总裁.此外,联盟联合创始公司:飞塔信息科技 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
